commit:     108573083b138c84cee97259b1a43e5cc8806702
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Mon Apr  8 16:43:30 2019 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Mon Apr  8 16:43:30 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=10857308

media-gfx/openclipart: Port to EAPI 7

Package-Manager: Portage-2.3.62, Repoman-2.3.12
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 media-gfx/openclipart/openclipart-0.20.ebuild | 35 +++++++++++----------------
 1 file changed, 14 insertions(+), 21 deletions(-)

diff --git a/media-gfx/openclipart/openclipart-0.20.ebuild 
b/media-gfx/openclipart/openclipart-0.20.ebuild
index f512de948c2..948ede6c83f 100644
--- a/media-gfx/openclipart/openclipart-0.20.ebuild
+++ b/media-gfx/openclipart/openclipart-0.20.ebuild
@@ -1,44 +1,37 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI="2"
+EAPI=7
 
 DESCRIPTION="Open Clip Art Library (openclipart.org)"
 HOMEPAGE="http://www.openclipart.org/";
-
 SRC_URI="http://download.openclipart.org/downloads/${PV}/${P}.tar.bz2";
+
 LICENSE="public-domain"
 SLOT="0"
 KEYWORDS="amd64 ppc x86"
 IUSE="svg png gzip"
 
-# We don't really need anything to run
-DEPEND=""
-RDEPEND=""
-
 # suggested basedir for cliparts
 CLIPART="/usr/share/clipart/${PN}"
 
 src_compile() {
-       local removeext
+       local removeext=( $(usev !png) $(usev !svg) )
+       [[ -z ${removeext} ]] && elog "No image formats specified - defaulting 
to all (png and svg)"
 
-       if ! use svg && ! use png; then
-               elog "No image formats specified - defaulting to all (png and 
svg)"
-       else
-               ! use png && removeext="${removeext} png"
-               ! use svg && removeext="${removeext} svg"
-       fi
-
-       for ext in ${removeext}; do
-               elog "Removing ${ext} files..."
-               find -name "*.${ext}" -exec rm -f {} \; \
-                       || die "Failed - remove"
+       local i
+       for i in "${removeext[@]}"; do
+               elog "Removing ${i} files..."
+               find -name "*.${i}" -delete || die "Failed removing files 
(${i})"
        done
 
        if use gzip; then
                einfo "Compressing SVG files..."
-               find -name "*.svg" -print0 | xargs -L 1 -0 \
-                       bash -c 'gzip -9c "${1}" > "${1}z"; rm -f "${1}"' --
+
+               while IFS="" read -d $'\0' -r i ; do
+                       gzip -9c "${i}" >"${i}z" || die "Failed compressing 
${i}"
+                       rm -f "${i}" || die "Failed removing temporary ${i}"
+               done < <(find "${S}" -name "*.svg" -print0)
        fi
 }
 

Reply via email to